package cn.com.poc.long_document.service;

import cn.com.poc.long_document.model.BizLongTextDialoguesModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizLongTextDialoguesService extends BaseService {

    BizLongTextDialoguesModel get(Long id) throws Exception;
    
    List<BizLongTextDialoguesModel> findByExample(BizLongTextDialoguesModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(BizLongTextDialoguesModel model) throws Exception;
    
    void deleteById(Long id) throws Exception;
    
    void deleteAll(Collection<Long> ids) throws Exception;
    
    BizLongTextDialoguesModel save(BizLongTextDialoguesModel model) throws Exception;
    
    Collection<BizLongTextDialoguesModel> saveAll(Collection<BizLongTextDialoguesModel> models) throws Exception;
    
}